- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# FUDaePassStateLogicOperation Namespace Reference

The render state logic operations. More...

## Enumerations
enum | Operation { CLEAR = 0x1500, AND = 0x1501, AND_REVERSE = 0x1502, COPY = 0x1503, AND_INVERTED = 0x1504, NOOP = 0x1505, XOR = 0x1506, OR = 0x1507, NOR = 0x1508, EQUIV = 0x1509, INVERT = 0x150A, OR_REVERSE = 0x150B, COPY_INVERTED = 0x150C, NAND = 0x150E, SET = 0x150F, INVALID }
| A render state logical operation. More...
## Functions
FCOLLADA_EXPORT Operation | FromString (const char *value)
| Converts the COLLADA render state logic operation type string to the logic operation.
Operation | FromString (const fm::string &value)
| Converts the FCollada texture channel string into a texture channel.
FCOLLADA_EXPORT const char * | ToString (Operation op)
| Converts the logic operation to its COLLADA render state logic operation type string.

## Detailed Description

The render state logic operations.

## Enumeration Type Documentation

enum FUDaePassStateLogicOperation::Operation

  | A render state logical operation. The usage of the operation depends on the render state. Enumerator:
  CLEAR | dest_value = 0.
  AND | dest_value = dest_value & source_value.
  AND_REVERSE | ?
  COPY | dest_value = source_value.
  AND_INVERTED | ?
  NOOP | No operation.
  XOR | dest_value = dest_value ^ source_value.
  OR | dest_value = dest_value | source_value.
  NOR | dest_value = dest_value | ~(source_value).
  EQUIV | dest_value = dest_value | source_value.
  INVERT | dest_value = ~(dest_value).
  OR_REVERSE | ?
  COPY_INVERTED | ?
  NAND | dest_value = dest_value & ~(source_value).
  SET | ?
  INVALID | An invalid logical operation.

## Function Documentation

Operation FUDaePassStateLogicOperation::FromString | ( | const fm::string & | value | ) | `[inline]`

  | Converts the FCollada texture channel string into a texture channel. Parameters:
  | value | The COLLADA interpolation type string.
Returns: The interpolation type.

FCOLLADA_EXPORT Operation FUDaePassStateLogicOperation::FromString | ( | const char * | value | ) |

  | Converts the COLLADA render state logic operation type string to the logic operation. Parameters:
  | value | The render state logic operation type string.
Returns: The logic operation.

FCOLLADA_EXPORT const char* FUDaePassStateLogicOperation::ToString | ( | Operation | op | ) |

  | Converts the logic operation to its COLLADA render state logic operation type string. Parameters:
  | op | The logic operation.
Returns: The render state logic operation type string.